# TODO
A place for me to write out my future plans. I decide what to do next [randomly](https://wheelofnames.com/24r-ygp) (yes, this is genuinely how I do it).

## Short-term goals
Things that *must* be done before the next release
- [x] Fix `/damage` in MCLA
- [x] Fix weather in MCLA
- [x] Test potentially broken summon/tp rotation
  - [x] Vertical rotation is backwards for non-players
- [x] Test VL because they probably broke everything
- [x] Something is making it ignore the first character ("eaths", "ummon")
- [x] Slashes in command blocks du be da brokage
- [x] Fix `/clear <player> <item>` without `maxCount`



## Long-term goals
Things that I hope to do *eventually*.
- [ ] Add scoreboard playerlist
- [x] Add scoreboard nametags
- [ ] Make output match ACOVG's (error messages, number results, etc.)
- [ ] Add more scoreboard criteria (settings to disable)
  - [ ] `xp`/`level` (MCLA/VL only)
  - [ ] `food` (MCLA/VL/stamina)
  - [ ] `air`
  - [ ] `armor` (MCLA/VL/3D Armor)
  - [x] `trigger`
  - [x] `picked_up.<itemstring>`
  - [x] `mined.<itemstring>` (AKA `dug`)
  - [x] `placed.<itemstring>`
  - [x] `crafted.<itemstring>`
  - [ ] `total_world_time`
  - [ ] `leave_game`
  - [x] `awards.<award>`
- [ ] Add missing `execute` subcommands
  - [ ] `in`
  - [ ] `summon`
  - [ ] `if/unless`
    - [ ] `biome`
    - [ ] `block`/`node`
    - [ ] `blocks`/`nodes`
    - [ ] `data`
    - [ ] `dimension`
    - [ ] `entity`
    - [ ] `loaded`
    - [ ] `score`
  - [ ] `store`
    - [ ] `block`/`node`
    - [ ] `bossbar`
    - [ ] `entity`
    - [ ] `score`
- [ ] Add more selector arguments
  - [ ] `dx`/`dy`/`dz`
  - [ ] `x_rotation`/`rx`/`rxm`/`y_rotation`/`ry`/`rym`
  - [ ] `scores`
  - [ ] `tag`
  - [ ] `team`
  - [x] `level`/`l`/`lm` (MCLA/VL only)
  - [x] `gamemode`/`m` (more of an "is creative?" argument)
  - [ ] `advancements` (with MCLA/VL/awards), change syntax
  - [ ] `haspermission` (privs)
- [ ] Add more commands
  - [x] `trigger`
  - [ ] `alwaysday`/`daylock`
  - [ ] `ban`/`ban-ip`/`banlist`
  - [ ] `bossbar`? (probably significantly modified, maybe MCLA/VL only)
  - [ ] `advancement`
  - [ ] `fill` (Extra argument for LBM vs `set_node(s)`)
  - [x] `changesetting`?
  - [x] `clear`
  - [x] `spawnpoint`
  - [x] `clearspawnpoint`
  - [ ] `clone`
  - [x] `damage`
  - [ ] `data`
  - [x] `deop` (removes all but basic privs)
  - [x] `op` (grants certain privs, including `server`)
  - [ ] `effect` (MCLA/VL only)
  - [x] `enchant` (MCLA/VL only, also override forceenchant?)
  - [ ] `experience`/`xp` (MCLA/VL only)
  - [ ] `fog`
  - [ ] `forceload`
  - [x] `gamemode` (in MTG, grants/revokes `creative`)
  - [x] `gamerule`? (maybe equivalent to `changesetting`?)
  - [ ] `item`?
  - [ ] `kick`
  - [ ] `list`
  - [ ] `locate` (copy from or depend on Wuzzy's `findbiome`, maybe also support MCLA/VL end shrines)
  - [ ] `loot`
  - [ ] `music` (depending on various mods)
  - [ ] `pardon`
  - [ ] `pardon-ip`
  - [ ] `particle`
  - [ ] `random`
  - [ ] `recipe` (MCLA/VL only)
  - [x] `remove`
  - [ ] `replaceitem`
  - [ ] `return`
  - [ ] `ride`?
  - [ ] `seed`
  - [ ] `setidletimeout`?
  - [x] `stop`
  - [ ] `structure`?
  - [x] `summon`
  - [ ] `tag`
  - [x] `teammsg`/`tm`
  - [ ] `testfor`
  - [ ] `testforblock`
  - [ ] `testforblocks`
  - [ ] `tickingarea`?
  - [x] `toggledownfall` (depending on mods)
  - [x] `weather` (depending on mods)
  - [ ] `whitelist`
  - [ ] `worldborder`? (maybe not visible, probably no collision)